escape_sgml_chars
| Rivet Tcl Commands and Variables |

## Name

escape_sgml_chars — escape special SGML characters in a string.

## Synopsis

::rivet::escape_sgml_chars ?string?

## Description

Scans through each character in the specified string looking for any special (with respect to SGML, and hence HTML) characters from the specified string, and returns the result. For example, the right angle bracket is escaped to the corrected ampersand gt symbol.

env |  | escape_shell_command